<?php

/**
 * Easygate - Joomla Template
 *
 * @package bt_easygate
 * @version 1.0
 * @copyright BonusThemes.com 2008
 * @link http://www.bonusthemes.com/goto/bt_easygate
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require(dirname(__FILE__) . '/template.inc.php');
global $tpl;
$tpl = new TplBtEasygate();

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

echo <<<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$this->language}" lang="{$this->language}" >
<head>

<jdoc:include type="head" />

<link href="{$tpl->path}/css/layout.css" rel="stylesheet" type="text/css" />
<link href="{$tpl->path}/css/template.css" rel="stylesheet" type="text/css" />
$cmenu_css
<style type="text/css">
#r1, #r_main { width: {$tpl->width}px; }
.gap { width: {$tpl->gap}px; height: {$tpl->gap}px; }
</style>
<!--[if lt IE 7]>
<link href="{$tpl->path}/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = '{$tpl->path}/images/blank.gif';
</script>
<style type="text/css">
.pngfix { behavior: url({$tpl->path}/js/iepngfix.htc); }
.pngfix_static { behavior: url({$tpl->path}/js/iepngfix_static.htc); }
</style>
<![endif]-->

$cmenu_js

<script type="text/javascript" src="{$tpl->path}/js/template.js"></script>

</head>

EOF;


echo '<body>' . "\n";


if ($tpl->seocp) {
	echo '<div style="display:none">' . "\n";
	$tpl->echo_mainbody_pragma();
	echo '</div>' . "\n";
}


// output row 1

echo '<div id="r1b"><div id="r1" class="dark">' . "\n";

if ($tpl->show_menu) {
	$multi = $tpl->modcount('top') || $tpl->modcount('cpanel');
	if ($multi)
		echo '<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";

	if ($tpl->modcount('top')) {
		echo '	<td valign="top" width="1%" nowrap="nowrap">' . "\n";
		$tpl->echo_position('top', true, false);
		echo '	</td>' . "\n";
		echo '	<td class="gap"></td>' . "\n";
	}

	if ($multi)
		echo '	<td valign="top">' . "\n";

	echo <<<EOF
		<div id="cmenu">
			<table cellspacing="0" cellpadding="0">
				<tr>

EOF;

	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];
		printf(
'					<td class="cmenu_hd_gap"></td>
					<td class="%s" id="%s">%s</td>
',
			$mi->selection == 0 ? 'cmenu_hd_norm_body' : 'cmenu_hd_sel_body',
			$mi->head_id,
			$mi->full_link
		);
	}

	echo '					<td class="cmenu_hd_gap"></td>' . "\n";

echo <<<EOF
				</tr>
			</table>

<script type="text/javascript">
// <![CDATA[
document['cmenu_items'] = new Array();
{$tpl->menu_js}
// ]]>
</script>

		</div>

EOF;

	if ($multi)
		echo '	</td>' . "\n";

	if ($tpl->modcount('cpanel')) {
		echo '	<td class="gap"></td>' . "\n";
		echo '	<td valign="top" width="1%" nowrap="nowrap">' . "\n";
		$tpl->echo_position('cpanel', true, false);
		echo '	</td>' . "\n";
	}

	if ($multi)
		echo '</tr></table>' . "\n";
}
else {
	$tpl->echo_positions('', 'top', 'header', 'cpanel');
}

echo '</div></div>' . "\n";

echo <<<EOF
<div id="r_main">
	<table id="r2" cellspacing="0" cellpadding="0" width="100%">
		<tr>
			<td width="8"><img src="{$tpl->path}/images/layout/r2_left.gif" alt="" /></td>

EOF;


// output row 2

if ($tpl->modcount('icon')) {
	echo '<td class="r2_back" valign="top" width="1%" nowrap="nowrap">' . "\n";
	$tpl->echo_position('icon', true, false);
	echo '</td>' . "\n";
	echo '<td class="r2_back gap"></td>' . "\n";
}

echo '				<td class="r2_back" valign="top">' . "\n";
echo '					<div id="pathway">' . "\n";
echo '						<a href="' . $tpl->get_home() . '" onfocus="blur()"><img id="pathway_home" src="' . $tpl->path . '/images/layout/home.gif" alt="Home" border="0" /></a>' . "\n";
$tpl->echo_pathway();
echo '					</div>' . "\n";

echo '				</td>' . "\n";

if ($tpl->modcount('inset')) {
	echo '<td class="r2_back gap"></td>' . "\n";
	echo '<td class="r2_back" valign="top" width="1%" nowrap="nowrap">' . "\n";
	$tpl->echo_position('inset', true, false);
	echo '</td>' . "\n";
}

echo <<<EOF
			<td width="8"><img src="{$tpl->path}/images/layout/r2_right.gif" alt="" /></td>
		</tr>
	</table>

	<div id="r3"></div>

	<table id="main" cellspacing="0" cellpadding="0" width="100%">
		<tr>
			<td width="8" height="8"><img src="{$tpl->path}/images/layout/main_tl.gif" alt="" /></td>
			<td id="main_tc"{$tpl->main_colspan}></td>
			<td width="8" height="8"><img src="{$tpl->path}/images/layout/main_tr.gif" alt="" /></td>
		</tr>
		<tr>
			<td id="main_ml"{$tpl->main_rowspan}></td>

EOF;

if ($tpl->left_panel)
	echo <<<EOF
			<td width="8" height="8" valign="top"><img src="{$tpl->path}/images/layout/side_tl.gif" alt="" /></td>
			<td></td>
			<td width="8" height="8" valign="top"><img src="{$tpl->path}/images/layout/side_tr.gif" alt="" /></td>
			<td class="main_mc gap"{$tpl->main_rowspan}></td>

EOF;

echo '			<td class="main_mc" valign="top"' . $tpl->main_rowspan . '>' . "\n";
$tpl->echo_zones();
echo '			</td>' . "\n";

if ($tpl->right_panel)
	echo <<<EOF
			<td class="main_mc gap"{$tpl->main_rowspan}></td>
			<td width="8" height="8" valign="top"><img src="{$tpl->path}/images/layout/side_tl.gif" alt="" /></td>
			<td></td>
			<td width="8" height="8" valign="top"><img src="{$tpl->path}/images/layout/side_tr.gif" alt="" /></td>

EOF;

echo '			<td id="main_mr"' . $tpl->main_rowspan . '></td>' . "\n";
echo '		</tr>' . "\n";


if ($tpl->left_panel || $tpl->right_panel) {

	// output main body for sides

	echo '		<tr>' . "\n";

	if ($tpl->left_panel) {
		echo '			<td></td>' . "\n";
		echo '			<td valign="top">' . "\n";
		$tpl->echo_position('left');
		$tpl->echo_positions('', 'user1', 'user2');
		echo '			</td>' . "\n";
		echo '			<td></td>' . "\n";
	}

	if ($tpl->right_panel) {
		echo '			<td></td>' . "\n";
		echo '			<td valign="top">' . "\n";
		$tpl->echo_position('right');
		$tpl->echo_positions('', 'user3', 'user4');
		echo '			</td>' . "\n";
		echo '			<td></td>' . "\n";
	}

	echo '		</tr>' . "\n";



	// output closing tags for sides

	echo '		<tr>' . "\n";

	if ($tpl->left_panel)
		echo <<<EOF
			<td width="8" height="8" valign="bottom"><img src="{$tpl->path}/images/layout/side_bl.gif" alt="" /></td>
			<td></td>
			<td width="8" height="8" valign="bottom"><img src="{$tpl->path}/images/layout/side_br.gif" alt="" /></td>

EOF;

	if ($tpl->right_panel)
		echo <<<EOF
			<td width="8" height="8" valign="bottom"><img src="{$tpl->path}/images/layout/side_bl.gif" alt="" /></td>
			<td></td>
			<td width="8" height="8" valign="bottom"><img src="{$tpl->path}/images/layout/side_br.gif" alt="" /></td>

EOF;

	echo '		</tr>' . "\n";
}

echo <<<EOF
		<tr>
			<td width="8" height="8"><img src="{$tpl->path}/images/layout/main_bl.gif" alt="" /></td>
			<td id="main_bc"{$tpl->main_colspan}></td>
			<td width="8" height="8"><img src="{$tpl->path}/images/layout/main_br.gif" alt="" /></td>
		</tr>
	</table>

	<div id="r5"></div>
EOF;

if ($tpl->modcount('footer') || $tpl->modcount('bottom')) {
	echo '	<table id="r6_r1" cellspacing="0" cellpadding="0" width="100%">' . "\n";
	echo '		<tr>' . "\n";
	echo '			<td width="8" valign="top"><img src="' . $tpl->path . '/images/layout/r6_r1_left.gif" alt="" /></td>' . "\n";

	if ($tpl->modcount('footer')) {
		echo '			<td valign="top"><div class="r6_r1_back">' . "\n";
		$tpl->echo_position('footer');
		echo '			</div></td>' . "\n";
	}

	if ($tpl->modcount('footer') && $tpl->modcount('bottom')) {
		$colspan += 2;
		echo '			<td class="r6_r1_back gap"></td>' . "\n";
	}

	if ($tpl->modcount('bottom')) {
		echo '			<td align="right" valign="top"><div class="r6_r1_back">' . "\n";
		$tpl->echo_position('bottom');
		echo '			</div></td>' . "\n";
	}

	echo '			<td width="8" valign="top"><img src="' . $tpl->path . '/images/layout/r6_r1_right.gif" alt="" /></td>' . "\n";
	echo '		</tr>' . "\n";
	echo '	</table>' . "\n";
}

echo '	<table id="r6_r2" cellspacing="0" cellpadding="0" width="100%">' . "\n";
echo '		<tr>' . "\n";

if ($tpl->lshow) {
	echo '			<td class="r6_r2_back" width="67" height="50" align="center">' . "\n";
	echo '				<a href="http://joomla-temp.ru" onfocus="blur()" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" alt="" border="0" /></a>' . "\n";
	echo '			</td>' . "\n";
}

echo '			<td class="r6_r2_back dark" align="center">' . "\n";

if ($tpl->modcount('legals'))
	$tpl->echo_position('legals');
else
	echo '&nbsp;' . "\n";

echo '			</td>' . "\n";

echo '			<td class="r6_r2_back" width="40" height="50" align="center">' . "\n";
echo '				<a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a>' . "\n";
echo '			</td>' . "\n";

echo '		</tr>' . "\n";
echo '	</table>' . "\n";

echo '</div>' . "\n";


if ($tpl->seocp)
	echo <<<EOF

<script type="text/javascript">
// <![CDATA[

// position mainbody
document.getElementById('mainbody_area').appendChild(document.getElementById('mainbody'));

// ]]>
</script>

EOF;

foreach (array('aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	$tpl->echo_hidden_position($position);

$tpl->echo_position('debug');

echo <<<EOF
</body>
</html>

EOF;

?>