<?php

/**
 * Zone Manager
 *
 * @package zonemanager
 * @version 2.0
 * @author Bonus Themes
 * @copyright Bonus Themes 2008
 * @license GNU/GPL
 * @link http://www.bonusthemes.com/goto/zonemanager
 */

defined('_JEXEC') or die('Direct Access to this location is not allowed.');
define('ZONEMANAGER', 1);

function hd_exit($msg)
{
	header('HTTP/1.0 403 Forbidden');
	echo $msg;
	die();
}

$manager_version = '2.0';
$min_tpl_version = '2.0';
$max_tpl_version = '';
$software_version = 'j15';

$_REQUEST['hidemainmenu'] = 0;

$dirname = dirname(__FILE__);
$base_tpl_dir = $dirname . '/../../../templates';

require($dirname . '/includes/utils.' . $software_version . '.php');

$task = read_var('task', 'REQUEST');

// safety check
if (strpos($task, '.') !== false)
	hd_exit(rcs('MALFORMED_TASK'));

$task_fmt = $dirname . '/tasks/%s.php';
if (!file_exists(sprintf($task_fmt, $task)))
	$task = 'browse';

if ($task != 'noop' && $task != 'save')
	add_header('<link rel="stylesheet" href="components/com_zonemgr/css/main.css" type="text/css" />');

require(sprintf($task_fmt, $task));

?>